GET

List Account Brands

Early Preview

This API is in early preview and may be subject to change. Please contact your account manager if you are interested in trying the Branding API.

Use this API to return a list of account branding configuration objects. Pagination is supported for this endpoint.

Resource URL

https://<subdomain>.onelogin.com/api/2/branding/brands

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All.

In order to use the Branding API your API Credentials must be created after 21st October 2020.

Content-Type

required

string

Set to application/json.

Sample Responses

[
  {
      "id": 912,
      "enabled": true,
      "name": "ACME"
  },
  ...
]

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Indicates that the syntax of the request is good but a value supplied is not valid.

{
    "message": "invalid value in \"auth_method\"",
    "statusCode": 422,
    "name": "UnprocessableEntityError"
}

Response Elements

id

Brand’s unique ID in OneLogin.

nameBrand name for humans. This isn't related to subdomains.
enabledIndicates if the brand is enabled or not.

Postman Collection

Replace sample variables indicated by {{ }} with your actual values.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

List Account Brands

curl 'https://<subdomain>.onelogin.com/api/2/branding/brands' \
-X GET \
-H "Authorization: bearer <access_token>"
-H "Content-Type: application/json" \